## gdal 3.9.0+dfsg

=== swig/python/CMakeLists.txt ===
# CMake4GDAL project is distributed under MIT license. See accompanying file LICENSE.txt.

if (CMAKE_CXX_FLAGS)
  string(REPLACE "-Werror " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
  string(REPLACE "/WX " " " CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ")
endif ()

set(GDAL_DATA_FILES
    LICENSE.TXT
    ${CMAKE_CURRENT_SOURCE_DIR}/data/template_tiles.mapml
)
set_property(
  TARGET ${GDAL_LIB_TARGET_NAME}
  APPEND
  PROPERTY RESOURCE "${GDAL_DATA_FILES}")

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/osgeo/")
set(GDAL_PYTHON_CSOURCE_DIR "${CMAKE_CURRENT_BINARY_DIR}/extensions/")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/extensions/")
set(GDAL_PYTHON_CSOURCES
    ${GDAL_PYTHON_CSOURCE_DIR}/gdal_wrap.cpp ${GDAL_PYTHON_CSOURCE_DIR}/gdalconst_wrap.c
    ${GDAL_PYTHON_CSOURCE_DIR}/gnm_wrap.cpp ${GDAL_PYTHON_CSOURCE_DIR}/ogr_wrap.cpp
    ${GDAL_PYTHON_CSOURCE_DIR}/osr_wrap.cpp)

  list(APPEND GDAL_SWIG_COMMON_INTERFACE_FILES
       ${PROJECT_SOURCE_DIR}/swig/include/python/callback.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/gdal_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/gnm_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/ogr_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/osr_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/python_exceptions.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/python_strings.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/typemaps_python.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_band_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_dataset_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/gdal_driver_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_datasource_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_driver_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_featuredef_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_feature_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_fielddef_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_fielddomain_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_geometry_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/ogr_layer_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_spatialreference_docs.i
       ${PROJECT_SOURCE_DIR}/swig/include/python/docs/osr_coordinatetransformation_docs.i)

  set(GDAL_PYTHON_PYSOURCES
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal.py ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalconst.py
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/gnm.py
      ${CMAKE_CURRENT_BINARY_DIR}/osgeo/ogr.py ${CMAKE_CURRENT_BINARY_DIR}/osgeo/osr.py)
  include(GdalSwigBindings)
  if( ${SWIG_VERSION} VERSION_LESS "4.1" )
      set(SWIG_PY3_DEPRECATED "-py3")
  endif()
  gdal_swig_bindings(
    BINDING
    python
    ARGS
    -I${PROJECT_SOURCE_DIR}/swig/include/python/docs
    ${SWIG_PY3_DEPRECATED}
    -threads
    -relativeimport
    -outdir
    ${CMAKE_CURRENT_BINARY_DIR}/osgeo
    OUTPUT
    ${GDAL_PYTHON_PYSOURCES}
    ${GDAL_PYTHON_CSOURCES}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/modify_cpp_files.cmake)

  # gdal_array_wrap.cpp when NumPy exist
  if (Python_NumPy_FOUND)
    set(ARRAY_INPUT ${PROJECT_SOURCE_DIR}/swig/include/gdal_array.i)
    set(ARRAY_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/extensions/gdal_array_wrap.cpp)
    add_custom_command(
      OUTPUT ${ARRAY_OUTPUT} "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_array.py"
      COMMAND
        ${SWIG_EXECUTABLE} -Wall -I${PROJECT_SOURCE_DIR}/swig/include -I${PROJECT_SOURCE_DIR}/swig/include/python
        -I${PROJECT_SOURCE_DIR}/swig/include/python/docs ${SWIG_PY3_DEPRECATED} -threads -relativeimport -outdir
        ${CMAKE_CURRENT_BINARY_DIR}/osgeo ${SWIG_DEFINES} -I${PROJECT_SOURCE_DIR}/gdal -c++ -python -o ${ARRAY_OUTPUT}
        ${ARRAY_INPUT}
      DEPENDS ${ARRAY_INPUT}
              ${PROJECT_SOURCE_DIR}/swig/include/python/typemaps_python.i
              ${CMAKE_CURRENT_SOURCE_DIR}/modify_cpp_files.cmake
      COMMENT "Generate _gdal_array_wrap.so and gdal_array.py by SWiG command")
    list(APPEND GDAL_PYTHON_CSOURCES "${GDAL_PYTHON_CSOURCE_DIR}/gdal_array_wrap.cpp")
    list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdal_array.py")
  endif ()

  if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
      add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalnumeric.py"
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdalnumeric.py"
                "${CMAKE_CURRENT_BINARY_DIR}/osgeo"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/gdalnumeric.py")
      list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/gdalnumeric.py")
  endif()

  if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
      add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/osgeo/__init__.py"
        COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/__init__.py" "${CMAKE_CURRENT_BINARY_DIR}/osgeo"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/osgeo/__init__.py")
      list(APPEND GDAL_PYTHON_PYSOURCES "${CMAKE_CURRENT_BINARY_DIR}/osgeo/__init__.py")
  endif()

  foreach(_file IN ITEMS ${GDAL_PYTHON_CSOURCES})
      add_custom_command(
        OUTPUT ${_file}
        APPEND
        COMMAND ${CMAKE_COMMAND} ${WERROR_DEV_FLAG} "-DFILE=${_file}" -P ${CMAKE_CURRENT_SOURCE_DIR}/modify_cpp_files.cmake)
  endforeach()

add_custom_target(python_generated_files
  DEPENDS ${GDAL_PYTHON_PYSOURCES} ${GDAL_PYTHON_CSOURCES}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

function (symlink_or_copy source destination)
    file(
      CREATE_LINK ${source} ${destination}
      RESULT res
      SYMBOLIC)
    if (NOT res EQUAL 0)
      message(STATUS "Copying content of ${source} to ${destination}")
      execute_process(COMMAND ${CMAKE_COMMAND} -E copy_directory ${source} ${destination})
    endif ()
endfunction ()

if (NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    symlink_or_copy(${CMAKE_CURRENT_SOURCE_DIR}/gdal-utils ${CMAKE_CURRENT_BINARY_DIR}/gdal-utils)
endif()
symlink_or_copy(${CMAKE_CURRENT_SOURCE_DIR}/gdal-utils/osgeo_utils ${CMAKE_CURRENT_BINARY_DIR}/osgeo_utils)

get_property(_isMultiConfig GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
if (_isMultiConfig AND WIN32)
  set(ONLY_GENERATE_FOR_NON_DEBUG ON)
endif ()

if (Python_Interpreter_FOUND)
  if (ENABLE_GNM)
    set(GNM_ENABLED "True")
  else ()
    set(GNM_ENABLED "False")
  endif ()

  # Use the 'X.Y.Z' numbering scheme from libgdal by default for the gdal python package version number
  # And append a ".patch" if the patch is not 0.
  set(GDAL_PYTHON_VERSION "${GDAL_VERSION_NO_DEV_SUFFIX}")
  if( NOT "${GDAL_VERSION_BUILD}" STREQUAL "0" )
      string(APPEND GDAL_PYTHON_VERSION ".${GDAL_VERSION_BUILD}")
  endif()

  file(TO_NATIVE_PATH "${GDAL_PYTHON_CSOURCE_DIR}" GDAL_PYTHON_EXT_SOURCE_DIR)
  if (_isMultiConfig)
    set(GDAL_LIB_DIR "os.path.dirname('$<TARGET_FILE:${GDAL_LIB_TARGET_NAME}>')")
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp @ONLY)
    if (ONLY_GENERATE_FOR_NON_DEBUG)
      file(
        GENERATE
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py
        INPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp
        CONDITION "$<CONFIG:Release>")
      set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup_$<CONFIG>.py")
    else ()
      set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
    endif ()
    file(
      GENERATE
      OUTPUT "${SETUP_PY_FILENAME}"
      INPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py.tmp)
  else ()
    # Do not use file(GENERATE) as, for some unknown reason, it would cause cmake to be reinvoked every time make is
    # involved
    get_target_property(_gdal_lib_directory ${GDAL_LIB_TARGET_NAME} LIBRARY_OUTPUT_DIRECTORY)
    set(GDAL_LIB_DIR "'${_gdal_lib_directory}'")
    set(SETUP_PY_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup.py.in ${SETUP_PY_FILENAME} @ONLY)
  endif ()

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README.rst ${CMAKE_CURRENT_BINARY_DIR}/README.rst @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyproject.toml ${CMAKE_CURRENT_BINARY_DIR}/pyproject.toml @ONLY)

  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/get_suffix.py
       "from importlib.machinery import EXTENSION_SUFFIXES; print(EXTENSION_SUFFIXES[0])\n")
  execute_process(
    COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/get_suffix.py
    OUTPUT_VARIABLE PY_EXT_SUFFIX
    OUTPUT_STRIP_TRAILING_WHITESPACE)

  set(PY_SO_LIST osgeo/_gdal${PY_EXT_SUFFIX} osgeo/_gdalconst${PY_EXT_SUFFIX} osgeo/_gnm${PY_EXT_SUFFIX}
                 osgeo/_ogr${PY_EXT_SUFFIX} osgeo/_osr${PY_EXT_SUFFIX})
  if (Python_NumPy_FOUND)
    set(PY_SO_LIST ${PY_SO_LIST} osgeo/_gdal_array${PY_EXT_SUFFIX})
  endif ()

  # Generate extension
  if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.20 )
    cmake_path(CONVERT "${Python_EXECUTABLE}" TO_CMAKE_PATH_LIST Python_EXECUTABLE_CMAKE)
  else()
    set(Python_EXECUTABLE_CMAKE "${Python_EXECUTABLE}")
  endif()
  if (ONLY_GENERATE_FOR_NON_DEBUG)
    set(BUILD_EXT_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/build_ext_$<CONFIG>.cmake")
    file(
      GENERATE
      OUTPUT "${BUILD_EXT_FILENAME}"
      CONTENT
        "file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/build)
         execute_process(COMMAND $<IF:$<NOT:$<CONFIG:Debug>>,\"${Python_EXECUTABLE_CMAKE}\" \"${SETUP_PY_FILENAME}\" build_ext --inplace,${CMAKE_COMMAND} -E echo \"setup.py build_ext only run in configuration != Debug\"> RESULT_VARIABLE res)
         if(NOT res EQUAL 0)
           message(FATAL_ERROR \"setup.py bdist_wheel failed\")
         endif()"
      )
  else ()
    set(BUILD_EXT_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/build_ext.cmake")
    file(
      GENERATE
      OUTPUT "${BUILD_EXT_FILENAME}"
      CONTENT
         "file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/build)\n
          execute_process(COMMAND \"${Python_EXECUTABLE_CMAKE}\" \"${SETUP_PY_FILENAME}\" build_ext --inplace RESULT_VARIABLE res)
          if(NOT res EQUAL 0)
            message(FATAL_ERROR \"setup.py bdist_wheel failed\")
          endif()"
      )
  endif ()

  if(CMAKE_NM AND BUILD_SHARED_LIBS AND NOT _isMultiConfig)
      # Optimization to avoid rebuilding the .o and .so each time libgdal
      # is touched. We only consider the list of exported symbols as the
      # dependency rule
      set(GDAL_LIB_DEP_FOR_PY_SO "gdal_symbols.txt")
      if(WIN32 OR APPLE)
          set(NM_OPTIONS "-g")
      else()
          set(NM_OPTIONS "-gD")
      endif()
      file(
          GENERATE
          OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/generate_gdal_symbols_txt.cmake"
          CONTENT
              "cmake_policy(VERSION 3.12)
               execute_process(COMMAND ${CMAKE_NM} ${NM_OPTIONS} \"$<TARGET_FILE:${GDAL_LIB_TARGET_NAME}>\"
                               OUTPUT_VARIABLE symbols
                               RESULT_VARIABLE res)
               if( \${res} EQUAL 0 )
                 string(REGEX REPLACE \"\\n\" \";\" symbols \"\${symbols}\")
                 # Match lines like '00000000006dddb0 T GDALAllRegister'
                 list(FILTER symbols INCLUDE REGEX \"^[0-9a-f]+ T (.*)$\")
                 list(TRANSFORM symbols REPLACE \"^[0-9a-f]+ T (.*)$\" \"\\\\1\")
                 if(symbols)
                     list(SORT symbols)
                     file(WRITE ${GDAL_LIB_DEP_FOR_PY_SO}.tmp \"$<TARGET_FILE:${GDAL_LIB_TARGET_NAME}>;\${symbols}\")
                     execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${GDAL_LIB_DEP_FOR_PY_SO}.tmp ${GDAL_LIB_DEP_FOR_PY_SO})
                 else()
                     file(TOUCH ${GDAL_LIB_DEP_FOR_PY_SO})

=== ogr/ogrsf_frmts/cad/CMakeLists.txt ===
add_gdal_driver(
  TARGET ogr_CAD
  SOURCES ogr_cad.h
          gdalcaddataset.cpp
          ogrcaddriver.cpp
          ogrcadlayer.cpp
          vsilfileio.cpp
          vsilfileio.h
  CORE_SOURCES
          ogrcaddrivercore.cpp
  PLUGIN_CAPABLE)

if(NOT TARGET ogr_CAD)
    return()
endif()

gdal_standard_includes(ogr_CAD)
target_compile_options(ogr_CAD PRIVATE ${GDAL_SOFTWARNFLAGS})

if (GDAL_USE_OPENCAD_INTERNAL)
  add_subdirectory(libopencad)
  target_compile_definitions(ogr_CAD PRIVATE "OCAD_EXTERN=")
  target_include_directories(ogr_CAD PRIVATE $<TARGET_PROPERTY:libopencad,SOURCE_DIR>)
else ()
  target_include_directories(ogr_CAD PRIVATE ${OPENCAD_INCLUDE_DIRS})
  gdal_target_link_libraries(ogr_CAD PRIVATE ${OPENCAD_LIBRARIES})
endif ()

=== debian/changelog ===
gdal (3.9.0+dfsg-1build1) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:53:44 -0400

gdal (3.9.0+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 May 2024 10:38:24 +0200

gdal (3.9.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 May 2024 16:06:27 +0200

gdal (3.9.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop dpkg-dev build dependency.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 May 2024 15:37:44 +0200

gdal (3.9.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2024 15:54:23 +0200

gdal (3.9.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Apr 2024 14:35:23 +0200

gdal (3.9.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update Files-Exclude paths.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Refresh patches.
  * Update install file for Python scripts.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Apr 2024 15:42:04 +0200

## gdal 3.9.1+dfsg

=== frmts/stacta/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_STACTA SOURCES stactadataset.cpp STRONG_CXX_WFLAGS PLUGIN_CAPABLE NO_DEPS)
gdal_standard_includes(gdal_STACTA)
target_include_directories(gdal_STACTA PRIVATE ${GDAL_RASTER_FORMAT_SOURCE_DIR}/mem)

=== frmts/usgsdem/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_USGSDEM SOURCES usgsdem_create.cpp usgsdemdataset.cpp PLUGIN_CAPABLE NO_DEPS)
gdal_standard_includes(gdal_USGSDEM)
target_include_directories(gdal_USGSDEM PRIVATE $<TARGET_PROPERTY:alg,SOURCE_DIR> ${GDAL_RASTER_FORMAT_SOURCE_DIR}/mem)

=== ogr/ogrsf_frmts/avc/CMakeLists.txt ===
# depend from frmts/aigrid
add_gdal_driver(
  TARGET ogr_AVC
  DEF AVC_ENABLED
  SOURCES avc_bin.cpp
          avc_rawbin.cpp
          avc_e00gen.cpp
          avc_e00parse.cpp
          avc_e00read.cpp
          avc_mbyte.cpp
          avc_misc.cpp
          ogravcbindatasource.cpp
          ogravcbindriver.cpp
          ogravcbinlayer.cpp
          ogravce00datasource.cpp
          ogravcdatasource.cpp
          ogravce00driver.cpp
          ogravce00layer.cpp
          ogravclayer.cpp
          # avc_binwr.cpp avc_e00write.cpp
  BUILTIN)
gdal_standard_includes(ogr_AVC)

if (GDAL_USE_SHAPELIB_INTERNAL)
  gdal_add_vendored_lib(ogr_AVC shapelib)
else ()
  gdal_target_link_libraries(ogr_AVC PRIVATE SHAPELIB::shp)
endif ()

=== debian/changelog ===
gdal (3.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Jun 2024 14:52:49 +0200

gdal (3.9.1~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Jun 2024 06:45:18 +0200

gdal (3.9.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Jun 2024 15:18:06 +0200

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarmadillo-dev,
               libblosc-dev,
               libcfitsio-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdeflate-dev,
               libexpat1-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libheif-dev,
               libjpeg-dev,
               libjson-c-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblz4-dev,
               liblzma-dev,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libogdi-dev,
               libopenjp2-7-dev,
               libpcre2-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev,
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               netcdf-bin,
               patch,
               pkgconf,
               pkg-kde-tools,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
Homepage: http://www.gdal.org/
Rules-Requires-Root: no

Package: libgdal35
Architecture: any
Multi-Arch: same
Section: libs
Depends: gdal-data (>= ${source:Version}),
         gdal-plugins (>= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal35 (= ${binary:Version}),
         libc6-dev,
         libarmadillo-dev,
         libblosc-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdeflate-dev,
         libexpat1-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libheif-dev,
         libjpeg-dev,
         libjson-c-dev,
         libkml-dev,
         libltdl-dev,
         liblz4-dev,
         liblzma-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libogdi-dev,
         libopenjp2-7-dev,
         libpcre2-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Multi-Arch: foreign
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: gdal-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Geospatial Data Abstraction Library - Plugins
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains data for the plugins.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.

## gdal 3.9.3+dfsg

=== frmts/grib/CMakeLists.txt ===
add_gdal_driver(
  TARGET gdal_GRIB
  SOURCES gribdataset.cpp
          gribcreatecopy.cpp
          degrib/degrib/clock.c
          degrib/degrib/degrib1.cpp
          degrib/degrib/degrib2.cpp
          degrib/degrib/inventory.cpp
          degrib/degrib/metaname.cpp
          degrib/degrib/myerror.cpp
          degrib/degrib/grib1tab.cpp
          degrib/degrib/myutil.c
          degrib/degrib/metaparse.cpp
          degrib/degrib/weather.c
          degrib/degrib/metaprint.cpp
          degrib/degrib/grib2api.c
          degrib/degrib/myassert.c
          degrib/degrib/scan.c
          degrib/degrib/tendian.cpp
          degrib/g2clib/gridtemplates.c
          degrib/g2clib/drstemplates.c
          degrib/g2clib/pdstemplates.c
          degrib/g2clib/gbits.c
          degrib/g2clib/g2_free.c
          degrib/g2clib/g2_unpack1.c
          degrib/g2clib/g2_unpack2.c
          degrib/g2clib/g2_unpack3.c
          degrib/g2clib/g2_unpack4.c
          degrib/g2clib/g2_unpack5.c
          degrib/g2clib/g2_unpack6.c
          degrib/g2clib/g2_unpack7.c
          degrib/g2clib/g2_info.c
          degrib/g2clib/g2_getfld.c
          degrib/g2clib/simunpack.c
          degrib/g2clib/comunpack.c
          degrib/g2clib/pack_gp.c
          degrib/g2clib/reduce.c
          degrib/g2clib/specunpack.c
          degrib/g2clib/rdieee.c
          degrib/g2clib/mkieee.c
          degrib/g2clib/int_power.c
          degrib/g2clib/simpack.c
          degrib/g2clib/compack.c
          degrib/g2clib/cmplxpack.c
          degrib/g2clib/misspack.c
          degrib/g2clib/dec_jpeg2000.cpp
          degrib/g2clib/jpcunpack.c
          degrib/degrib/hazard.c
      CORE_SOURCES
          gribdrivercore.cpp
      PLUGIN_CAPABLE_IF
          "NOT GDAL_USE_PNG_INTERNAL\\\;NOT GDAL_USE_ZLIB_INTERNAL"
      NO_DEPS
      NO_SHARED_SYMBOL_WITH_CORE)

if(NOT TARGET gdal_GRIB)
    return()
endif()

gdal_standard_includes(gdal_GRIB)

set(GDAL_DATA_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_versions.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_center.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_process.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_subcenter.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_13.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_14.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_15.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_16.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_17.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_18.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_190.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_191.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_19.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_20.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_21.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_3.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_4.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_5.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_6.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_0_7.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_191.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_3.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_10_4.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_1_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_20_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_3.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_4.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_5.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_2_6.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_3.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_4.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_5.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_3_6.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_0.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_10.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_1.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_2.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_3.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_4.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_5.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_6.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_7.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_8.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_4_9.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_Canada.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_HPC.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_index.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_MRMS.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_NCEP.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_2_local_NDFD.csv
    ${CMAKE_CURRENT_SOURCE_DIR}/data/grib2_table_4_5.csv
)
set_property(
  TARGET ${GDAL_LIB_TARGET_NAME}
  APPEND
  PROPERTY RESOURCE "${GDAL_DATA_FILES}")

target_include_directories(
  gdal_GRIB PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/degrib/degrib>
                    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/degrib/g2clib> $<TARGET_PROPERTY:gdal_MEM,SOURCE_DIR>)
target_compile_options(gdal_GRIB PRIVATE ${GDAL_SOFTWARNFLAGS}) # FIXME: only needed for files within degrib/ actually
if (GDAL_USE_PNG_INTERNAL)
  gdal_add_vendored_lib(gdal_GRIB libpng)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_PNG)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/pngunpack.c degrib/g2clib/dec_png.c)
endif()

if (GDAL_USE_ZLIB_INTERNAL)
  gdal_add_vendored_lib(gdal_GRIB libz)
endif ()

if (GDAL_USE_PNG AND NOT GDAL_USE_PNG_INTERNAL)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_PNG)
  gdal_target_link_libraries(gdal_GRIB PRIVATE PNG::PNG)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/pngunpack.c degrib/g2clib/dec_png.c)
endif ()

if (GDAL_USE_ZLIB AND NOT GDAL_USE_ZLIB_INTERNAL)
  gdal_target_link_libraries(gdal_GRIB PRIVATE ZLIB::ZLIB)
endif ()

if (GDAL_USE_LIBAEC)
  target_compile_definitions(gdal_GRIB PRIVATE -DUSE_AEC)
  gdal_target_link_libraries(gdal_GRIB PRIVATE LIBAEC::LIBAEC)
  target_sources(gdal_GRIB PRIVATE degrib/g2clib/aecunpack.c)
endif ()

=== ogr/ogrsf_frmts/nas/CMakeLists.txt ===
add_gdal_driver(
  TARGET ogr_NAS
  SOURCES nashandler.cpp
          nasreader.cpp
          nasreaderp.h
          ogr_nas.h
          ogrnasdatasource.cpp
          ogrnasdriver.cpp
          ogrnaslayer.cpp
  BUILTIN) # BUILTIN because of GML dependency
gdal_standard_includes(ogr_NAS)
target_include_directories(ogr_NAS PRIVATE $<TARGET_PROPERTY:ogr_GML,SOURCE_DIR>)
if (GDAL_USE_EXPAT)
  target_compile_definitions(ogr_NAS PRIVATE -DHAVE_EXPAT)
  gdal_target_link_libraries(ogr_NAS PRIVATE ${EXPAT_TARGET})
endif ()

foreach (d ${XercesC_INCLUDE_DIRS})
  target_include_directories(ogr_NAS PRIVATE ${d} ${d}/xercesc)
endforeach ()
gdal_target_link_libraries(ogr_NAS PRIVATE XercesC::XercesC)
target_compile_definitions(ogr_NAS PRIVATE -DHAVE_XERCES)

## gdal 3.10.0+dfsg

=== debian/changelog ===
gdal (3.10.0+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Dec 2024 11:43:08 +0100

gdal (3.10.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2024 16:10:40 +0100

gdal (3.10.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Nov 2024 17:46:12 +0100

gdal (3.10.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2024 15:09:22 +0100

gdal (3.10.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Oct 2024 14:57:56 +0100

gdal (3.10.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Enable AVIF driver.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Oct 2024 14:59:29 +0200

gdal (3.9.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Oct 2024 16:17:42 +0200

gdal (3.9.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Oct 2024 20:24:49 +0200

gdal (3.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Aug 2024 14:15:20 +0200

gdal (3.9.2~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Aug 2024 19:32:10 +0200

gdal (3.9.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2024 19:14:19 +0200

## gdal 3.10.1+dfsg

=== frmts/ngsgeoid/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_NGSGEOID SOURCES ngsgeoiddataset.cpp PLUGIN_CAPABLE NO_DEPS)
gdal_standard_includes(gdal_NGSGEOID)

=== ogr/ogrsf_frmts/cad/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,8 @@
           vsilfileio.h
   CORE_SOURCES
           ogrcaddrivercore.cpp
-  PLUGIN_CAPABLE)
+  PLUGIN_CAPABLE
+  NO_SHARED_SYMBOL_WITH_CORE)
 
 if(NOT TARGET ogr_CAD)
     return()

=== ogr/ogrsf_frmts/jml/CMakeLists.txt ===
add_gdal_driver(TARGET ogr_JML SOURCES ogr_jml.h ogrjmldataset.cpp ogrjmllayer.cpp ogrjmlwriterlayer.cpp PLUGIN_CAPABLE
                                       NO_DEPS)
gdal_standard_includes(ogr_JML)
target_include_directories(ogr_JML PRIVATE ${GDAL_VECTOR_FORMAT_SOURCE_DIR}/mem)
if (GDAL_USE_EXPAT)
  target_compile_definitions(ogr_JML PRIVATE -DHAVE_EXPAT=1)
  gdal_target_link_libraries(ogr_JML PRIVATE ${EXPAT_TARGET})
endif ()

=== debian/changelog ===
gdal (3.10.1+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 18:00:34 +0000

gdal (3.10.1+dfsg-1build1) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <jbicha@ubuntu.com>  Fri, 17 Jan 2025 14:15:56 -0500

gdal (3.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jan 2025 16:58:49 +0100

gdal (3.10.1~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jan 2025 16:25:17 +0100

gdal (3.10.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jan 2025 15:59:51 +0100

## gdal 3.10.2%2Bdfsg

=== frmts/heif/CMakeLists.txt ===
add_gdal_driver(TARGET gdal_HEIF
                SOURCES heifdataset.cpp
                CORE_SOURCES heifdrivercore.cpp
                PLUGIN_CAPABLE
                NO_SHARED_SYMBOL_WITH_CORE)

if(TARGET gdal_HEIF_core)
    target_include_directories(gdal_HEIF_core PRIVATE $<TARGET_PROPERTY:HEIF::HEIF,INTERFACE_INCLUDE_DIRECTORIES>)
    target_compile_definitions(gdal_HEIF_core PRIVATE $<TARGET_PROPERTY:HEIF::HEIF,INTERFACE_COMPILE_DEFINITIONS>)
endif()

if(NOT TARGET gdal_HEIF)
    return()
endif()

gdal_standard_includes(gdal_HEIF)
gdal_target_link_libraries(gdal_HEIF PRIVATE HEIF::HEIF)

=== frmts/gif/giflib/CMakeLists.txt ===
add_library(
  giflib OBJECT
  dgif_lib.c
  egif_lib.c
  gifalloc.c
  gif_err.c
  gif_hash.c
  gif_hash.h
  gif_lib.h
  gif_lib_private.h)
set_property(TARGET giflib PROPERTY POSITION_INDEPENDENT_CODE ${GDAL_OBJECT_LIBRARIES_POSITION_INDEPENDENT_CODE})
if (GDAL_ENABLE_DRIVER_GIF_PLUGIN)
    target_sources(gdal_GIF PRIVATE $<TARGET_OBJECTS:giflib>)
else()
    target_sources(${GDAL_LIB_TARGET_NAME} PRIVATE $<TARGET_OBJECTS:giflib>)
endif()
target_compile_definitions(giflib PRIVATE -DHAVE_STDINT_H -DHAVE_INTTYPES_H)
# target_compile_options(giflib PRIVATE ${GDAL_C_WARNING_FLAGS} ${SOFTWARNFLAGS})
if (RENAME_INTERNAL_GIF_SYMBOLS)
  target_compile_definitions(giflib PUBLIC -DRENAME_INTERNAL_GIF_SYMBOLS)
endif ()

=== debian/changelog ===
gdal (3.10.2+dfsg-1build3) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:24:10 -0500

gdal (3.10.2+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:45:28 +0000

gdal (3.10.2+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 07:54:40 +0000

gdal (3.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Feb 2025 15:05:09 +0100

gdal (3.10.2~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Feb 2025 12:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                chrpath,
                bash-completion,
                libarmadillo-dev,
+               libavif-dev,
                libblosc-dev,
                libcfitsio-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -61,13 +62,13 @@
                swig,
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 Rules-Requires-Root: no
 
-Package: libgdal35
+Package: libgdal36
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -98,10 +99,11 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal35 (= ${binary:Version}),
+Depends: libgdal36 (= ${binary:Version}),
+         libarmadillo-dev,
+         libavif-dev,
+         libblosc-dev,
          libc6-dev,
-         libarmadillo-dev,
-         libblosc-dev,
          libcfitsio-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
          libdeflate-dev,
